---
title: page-break-inside
slug: Web/CSS/page-break-inside
tags:
  - CSS
  - CSS Property
  - Page Breaks
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<div class="notecard warning">This property has been replaced by the {{cssxref("break-inside")}} property.</div>

<p>The <strong><code>page-break-inside</code></strong> CSS property adjusts page breaks <em>inside</em> the current element.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
page-break-inside: auto;
page-break-inside: avoid;

/* Global values */
page-break-inside: inherit;
page-break-inside: initial;
page-break-inside: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>Initial value. Automatic page breaks (neither forced nor forbidden).</dd>
 <dt><code>avoid</code></dt>
 <dd>Avoid page breaks inside the element.</dd>
</dl>

<h2 id="Page_break_aliases">Page break aliases</h2>

<p>The <code>page-break-inside</code> property is now a legacy property, replaced by {{cssxref("break-inside")}}.</p>

<p>For compatibility reasons, <code>page-break-inside</code> should be treated by browsers as an alias of <code>break-inside</code>. This ensures that sites using <code>page-break-inside</code> continue to work as designed. A subset of values should be aliased as follows:</p>

<table>
 <thead>
  <tr>
   <th scope="col">page-break-inside</th>
   <th scope="col">break-inside</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>auto</code></td>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <td><code>avoid</code></td>
   <td><code>avoid</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Avoiding_page_breaks_inside_elements">Avoiding page breaks inside elements</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="page"&gt;
  &lt;p&gt;This is the first paragraph.&lt;/p&gt;
  &lt;section class="list"&gt;
    &lt;span&gt;A list&lt;/span&gt;
    &lt;ol&gt;
      &lt;li&gt;one&lt;/li&gt;
&lt;!--       &lt;li&gt;two&lt;/li&gt; --&gt;
    &lt;/ol&gt;
  &lt;/section&gt;
  &lt;ul&gt;
    &lt;li&gt;one&lt;/li&gt;
&lt;!--     &lt;li&gt;two&lt;/li&gt; --&gt;
  &lt;/ul&gt;
  &lt;p&gt;This is the second paragraph.&lt;/p&gt;
  &lt;p&gt;This is the third paragraph, it contains more text.&lt;/p&gt;
  &lt;p&gt;This is the fourth paragraph. It has a little bit more text than the third one.&lt;/p&gt;
&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.page {
  background-color: #8cffa0;
  height: 90px;
  width: 200px;
  columns: 1;
  column-width: 100px;
}

.list, ol, ul, p {
  break-inside: avoid;
}

p {
  background-color: #8ca0ff;
}

ol, ul, .list {
  margin: 0.5em 0;
  display: block;
  background-color: orange;
}

p:first-child {
  margin-top: 0;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Avoiding_page_breaks_inside_elements", 400, 160)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Paged Media', '#page-break-inside', 'page-break-inside')}}</td>
   <td>{{Spec2('CSS3 Paged Media')}}</td>
   <td>Allows this property on more elements.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'page.html#propdef-page-break-inside', 'page-break-inside')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.page-break-inside")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("break-before")}}, {{cssxref("break-after")}}, {{cssxref("break-inside")}}</li>
 <li>{{cssxref("page-break-after")}}, {{cssxref("page-break-before")}}</li>
 <li>{{cssxref("orphans")}}, {{cssxref("widows")}}</li>
</ul>
